/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.data.provider;

import org.broad.igv.track.WindowFunction;

import net.sf.genomeview.data.Model;
import net.sf.jannot.pileup.DoublePile;
import net.sf.jannot.pileup.Pile;
/**
 * 
 * @author Thomas Abeel
 *
 */
public abstract class PileProvider implements DataProvider<Pile> {
	

//	public PileProvider(Model model) {
//		super(model);
//	}

	public abstract double getMaxPile();

	public abstract WindowFunction[] getWindowFunctions();

	public abstract void requestWindowFunction(WindowFunction wf) ;

	public abstract boolean isCurrentWindowFunction(WindowFunction wf);

	
//	public abstract double getMaxSummary();

}
