/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui;

import java.awt.Insets;
import java.util.Observable;
import java.util.Observer;

import javax.swing.JLabel;

import net.sf.genomeview.data.Model;
import net.sf.genomeview.data.MouseModel;
import net.sf.genomeview.data.SelectionModel;
import net.sf.jannot.Location;
import be.abeel.gui.GridBagPanel;

public class StatusBar extends GridBagPanel implements Observer {

	private static final long serialVersionUID = -4850784549623078528L;
//	private String message = new String("status");
	private Model model;

	private JLabel messages=new JLabel();
	public StatusBar(Model model) {
		this.gc.insets=new Insets(0,0,0,0);
		gc.weightx=1;
		gc.weighty=1;
		this.add(messages,gc);
		this.model=model;
		model.addObserver(this);
		model.mouseModel().addObserver(this);
		model.getGUIManager().registerStatusBar(this);
//		messages.setText(message);
		

	}

	
	@Override
	public void update(Observable o, Object arg) {
		messages.setText(model.messageModel().getStatusBarMessage());
	}

}
